#!/bin/bash
 
# Go fast.  More or less Ubuntu defaults
if on_ac_power; then
  hdparm -B 255 -S 240 -M 254 /dev/sda
  mount -o remount,commit=5 /
  mount -o remount,commit=5 /home
  echo 0 > /proc/sys/vm/laptop_mode
  echo 10 > /proc/sys/vm/dirty_ratio
  echo 5 > /proc/sys/vm/dirty_background_ratio
  echo 500 > /proc/sys/vm/dirty_writeback_centisecs
  echo 0 > /sys/module/snd_hda_intel/parameters/power_save
  echo max_performance > /sys/class/scsi_host/host0/link_power_management_policy
  iwpriv wlan0 power_profile 1
  echo 50 > /proc/sys/vm/swappiness
  echo 3000 > /proc/sys/vm/dirty_expire_centisecs
  hal-disable-polling --device /dev/scd0 --enable-polling
  /etc/init.d/postfix start
  /etc/init.d/anacron start
  /etc/init.d/ntp start
  LINEBACKER=$(/tmp/backlightgot)
  xbacklight -set $LINEBACKER
else # Save power
  hdparm -B 1 -S 4 -M 128 /dev/sda
  mount -o remount,commit=600 /
  mount -o remount,commit=600 /home
  echo 5 > /proc/sys/vm/laptop_mode
  echo 40 > /proc/sys/vm/dirty_ratio
  echo 1 > /proc/sys/vm/dirty_background_ratio
  echo 30000 > /proc/sys/vm/dirty_writeback_centisecs
  echo 10 > /sys/module/snd_hda_intel/parameters/power_save
  echo min_power > /sys/class/scsi_host/host0/link_power_management_policy
  iwpriv wlan0 power_profile 5
  echo 10 > /proc/sys/vm/swappiness
  echo 0 > /proc/sys/vm/dirty_expire_centisecs
  hal-disable-polling --device /dev/scd0
  /etc/init.d/postfix stop
  /etc/init.d/anacron stop
  /etc/init.d/ntp stop
  /etc/init.d/rsync stop
  /etc/init.d/smartmontools stop
  xbacklight > /tmp/xbacklightgot
  xbacklight -set 30
fi
